GET
/
analytic
/
seller-dashboard
Get seller dashboard
curl --request GET \
  --url https://api.example.com/analytic/seller-dashboard \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.example.com/analytic/seller-dashboard"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.example.com/analytic/seller-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "charts": {
      "orders": [
        {
          "date": "<string>",
          "value": 123
        }
      ],
      "revenue": [
        {
          "date": "<string>",
          "value": 123
        }
      ]
    },
    "summary": {
      "average_rating": 123,
      "comparison": {
        "items_sold_change": 123,
        "orders_change": 123,
        "revenue_change": 123
      },
      "items_sold": 123,
      "pending_items": 123,
      "pending_refunds": 123,
      "total_orders": 123,
      "total_revenue": 123
    },
    "top_products": [
      {
        "revenue": 123,
        "sku_id": "<string>",
        "sku_name": "<string>",
        "sold_count": 123
      }
    ]
  },
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

JWT access token. Format: "Bearer <token>".

Query Parameters

start
string

Start date (RFC3339)

end
string

End date (RFC3339)

granularity
string

Aggregation granularity

Response

OK

data
object
error
object